<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::NonCopyable Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classCatch_1_1NonCopyable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::NonCopyable Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::NonCopyable:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1NonCopyable__inherit__graph.png" border="0" usemap="#Catch_1_1NonCopyable_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1NonCopyable_inherit__map" id="Catch_1_1NonCopyable_inherit__map">
<area shape="rect" title=" " alt="" coords="223,5,377,32"/>
<area shape="rect" href="structCatch_1_1AutoReg.html" title=" " alt="" coords="5,80,128,107"/>
<area shape="rect" href="structCatch_1_1IConfig.html" title=" " alt="" coords="152,80,264,107"/>
<area shape="rect" href="classCatch_1_1ReusableStringStream.html" title=" " alt="" coords="287,80,499,107"/>
<area shape="rect" href="classCatch_1_1Section.html" title=" " alt="" coords="524,80,639,107"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a74cf3e4aa051c284941e39b436b2f693"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a74cf3e4aa051c284941e39b436b2f693">NonCopyable</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;)=delete</td></tr>
<tr class="separator:a74cf3e4aa051c284941e39b436b2f693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09d1d8775db8c495fa40c285b034faa3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a09d1d8775db8c495fa40c285b034faa3">NonCopyable</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;)=delete</td></tr>
<tr class="separator:a09d1d8775db8c495fa40c285b034faa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958b5f57d45fdd6f418bec8b46a629ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a958b5f57d45fdd6f418bec8b46a629ab">operator=</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;)=delete</td></tr>
<tr class="separator:a958b5f57d45fdd6f418bec8b46a629ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a317697b6d3c4cda093666ce61d3a1e31"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a317697b6d3c4cda093666ce61d3a1e31">operator=</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;)=delete</td></tr>
<tr class="separator:a317697b6d3c4cda093666ce61d3a1e31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cf3e4aa051c284941e39b436b2f693"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a74cf3e4aa051c284941e39b436b2f693">NonCopyable</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;)=delete</td></tr>
<tr class="separator:a74cf3e4aa051c284941e39b436b2f693"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09d1d8775db8c495fa40c285b034faa3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a09d1d8775db8c495fa40c285b034faa3">NonCopyable</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;)=delete</td></tr>
<tr class="separator:a09d1d8775db8c495fa40c285b034faa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958b5f57d45fdd6f418bec8b46a629ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a958b5f57d45fdd6f418bec8b46a629ab">operator=</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;)=delete</td></tr>
<tr class="separator:a958b5f57d45fdd6f418bec8b46a629ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a317697b6d3c4cda093666ce61d3a1e31"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a317697b6d3c4cda093666ce61d3a1e31">operator=</a> (<a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;)=delete</td></tr>
<tr class="separator:a317697b6d3c4cda093666ce61d3a1e31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a74cf3e4aa051c284941e39b436b2f693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74cf3e4aa051c284941e39b436b2f693">&#9670;&nbsp;</a></span>NonCopyable() <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NonCopyable::NonCopyable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a09d1d8775db8c495fa40c285b034faa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09d1d8775db8c495fa40c285b034faa3">&#9670;&nbsp;</a></span>NonCopyable() <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NonCopyable::NonCopyable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b492dd5753f9952350fb64dc6cb9fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b492dd5753f9952350fb64dc6cb9fe2">&#9670;&nbsp;</a></span>NonCopyable() <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NonCopyable::NonCopyable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a81254677280fef337eb4a676e91e3293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81254677280fef337eb4a676e91e3293">&#9670;&nbsp;</a></span>~NonCopyable() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::NonCopyable::~NonCopyable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a74cf3e4aa051c284941e39b436b2f693"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74cf3e4aa051c284941e39b436b2f693">&#9670;&nbsp;</a></span>NonCopyable() <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NonCopyable::NonCopyable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a09d1d8775db8c495fa40c285b034faa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09d1d8775db8c495fa40c285b034faa3">&#9670;&nbsp;</a></span>NonCopyable() <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NonCopyable::NonCopyable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b492dd5753f9952350fb64dc6cb9fe2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b492dd5753f9952350fb64dc6cb9fe2">&#9670;&nbsp;</a></span>NonCopyable() <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::NonCopyable::NonCopyable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a81254677280fef337eb4a676e91e3293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81254677280fef337eb4a676e91e3293">&#9670;&nbsp;</a></span>~NonCopyable() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual Catch::NonCopyable::~NonCopyable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a317697b6d3c4cda093666ce61d3a1e31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a317697b6d3c4cda093666ce61d3a1e31">&#9670;&nbsp;</a></span>operator=() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a>&amp; Catch::NonCopyable::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a317697b6d3c4cda093666ce61d3a1e31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a317697b6d3c4cda093666ce61d3a1e31">&#9670;&nbsp;</a></span>operator=() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a>&amp; Catch::NonCopyable::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> &amp;&amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a958b5f57d45fdd6f418bec8b46a629ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a958b5f57d45fdd6f418bec8b46a629ab">&#9670;&nbsp;</a></span>operator=() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a>&amp; Catch::NonCopyable::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a958b5f57d45fdd6f418bec8b46a629ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a958b5f57d45fdd6f418bec8b46a629ab">&#9670;&nbsp;</a></span>operator=() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a>&amp; Catch::NonCopyable::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1NonCopyable.html">NonCopyable</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
